%global momorel 33

%define _x11dir             %{_prefix}
%define _x11bindir          %{_x11dir}/bin
%define _x11datadir         %{_x11dir}/share
%define _x11mandir          %{_x11dir}/share/man

Summary: Kanji terminal emulator
Name: kterm
Version: 6.2.0
Release: %{momorel}m
License: MIT/X
Group: User Interface/X
%NoSource 0 ftp://ftp.kddlabs.co.jp/X11/ftp.x.org/contrib/applications/%{name}-%{version}.tar.gz 9cc72841b50dfba92bce01dbbebf3039
Source1: kterm.termtypes.tgz
Source3: KTerm-ja.ad
Patch0: kterm-6.2.0-16colors.diff
Patch1: kterm-6.2.0-secure.diff
Patch3: kterm-6.2.0-glibc.pje.patch
Patch4: kterm-6.2.0-pje-vine-momonga.patch
Patch5: kterm-glibc2.1-1.patch
Patch6: kterm-glibc2.1-2.patch
Patch7: http://www.st.rim.or.jp/~hanataka/kterm-6.2.0.ext02.patch.gz
# from http://mi.med.tohoku.ac.jp/%7Esatodai/w3m-dev/200302.month/3741.html
Patch8: kterm-6.2.0-wheel-mouse.patch
Patch9: kterm-6.2.0-gcc34.patch
Patch10: http://phe.phyas.aichi-edu.ac.jp/~cyamauch/arch/kterm-6.2.0-rightbar.patch
NoPatch: 10
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: nkf

%description
Kterm is an X11 terminal emulator that can handle multi-lingual text.
This release is based on xterm of X11R6.1.

This binary is patched with xterm security patch and 16 colors patch.

%prep
%setup -q -a 1

# 16 Colors Patch
%patch0 -p1 -b .16colors

# Security Patch
%patch1 -p1 -b .security

# glibc Patch
%patch3 -p0 -b .glibc~

# resource for Momonga
%patch4 -p1 -b .momonga

# for glibc-2.1
%patch5 -p1
%patch6 -p1

# JIS X 0213
%patch7 -p1

# wheel mouse patch
%patch8 -p0 -b .wheel~

# gcc 3.4 patch
%patch9 -p1 -b .gcc34

# right scrollbar patch
%patch10 -p1 -b .rightbar~

%build
xmkmf -a ; make 

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
make install.man DESTDIR=%{buildroot}

# Install Resource file
mkdir -p %{buildroot}%{_x11datadir}/X11/app-defaults
install -m 0444 KTerm.ad %{buildroot}%{_x11datadir}/X11/app-defaults/KTerm
mkdir -p %{buildroot}%{_x11datadir}/X11/ja/app-defaults
install -m 0444 %{SOURCE3} %{buildroot}%{_x11datadir}/X11/ja/app-defaults/KTerm

# Install Japanese Manual
mkdir -p %{buildroot}%{_x11mandir}/ja/man1
nkf -e kterm.jman > %{buildroot}%{_x11mandir}/ja/man1/kterm.1x

# clean up
rm -rf %{buildroot}/usr/lib*/X11/app-defaults

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc README.kt DEMO.kt.uu DEMO.xbm kterm.termcap kterm.terminfo
%{_x11bindir}/kterm
%{_x11mandir}/man1/kterm.1x*
%{_x11mandir}/ja/man1/kterm.1x*
%{_x11datadir}/X11/app-defaults/KTerm
%{_x11datadir}/X11/ja/app-defaults/KTerm

%changelog
* Sun May 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6.2.0-33m)
- revise spec file for rpm-4.4.2

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.2.0-32m)
- revise for xorg-7.0
- change install dir

* Fri Dec 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.2.0-31m)
- change Source0 URI
- add Patch10: kterm-6.2.0-rightbar.patch

* Mon Oct 18 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (6.2.0-30m)
- add patch9 for gcc 3.4.

* Sun Aug 29 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.2.0-29m)
- edit spec to include /etc/X11/app-defaults/KTerm

* Sat Oct 25 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (6.2.0-28m)
- change default fontset from alias to misc 
  - revised Source3 and united resource related patches to Patch4 
  - (see http://d.neverland.to/toshi/?date=20030927)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- use macros

* Sat Mar  1 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (6.2.0-27m)
- add wheel mouse patch from
  http://mi.med.tohoku.ac.jp/%7Esatodai/w3m-dev/200302.month/3741.html

* Fri Feb 15 2002 Tsutomu Yasuda <tom@kondara.org>
- (6.2.0-26k)
- updated Source0 URL

* Mon Dec 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (6.2.0-25k)
- revived Japanese Resource
 
* Thu Oct 26 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (6.2.0-19k)
- fixed for bzip2ed man

* Mon May 15 2000 Kenzi Cano <kc@furuakwa.ch.kagu.sut.ac.jp>
- JIS X 0213:2000  patch added.

* Sat Nov 27 1999 Toru Hoshina <t@kondara.org>
- use ja instead of ja_JP.ujis.

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Aug 22 1999 Jun Nishii <jun@flatout.org>
- rel.13
- scrollbar is true in default

* Tue Mar  2 1999 MATSUMOTO Shoji <vine@flatout.org>
- rel.10
- default resource modified

* Sun Feb 28 1999 Jun Nishii <jun@flatout.org>
- rel.9
- added a resource for ja for Vine

* Thu Nov 12 1998 Jun Nishii <jun@flatout.org>
- change header definitions in this spec file
- added -l ja for Description and Summary

* Tue Sep 29 1998 Jun Nishii <jun@flatout.org>
- add patch for glibc2 and wmconfig

* Wed Sep 16 1998 MATSUMOTO Shoji <pje@linux.or.jp>
- for glibc1
